**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/20.1/configuration-migration/deploy-package.md

# Deploy Package



<Endpoint path="/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `package_id` | The `id` field value of the `vault_package__v` object record used for deploy. See Import Package above. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
https://myvault.veevavault.com/api/v16.0/vobject/vault_package__v/0PI000000000101/actions/deploy

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "url": "/api/v16.0/services/jobs/23301",
  "job_id": 23301
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:

* `URL` - The URL to retrieve the current status of the export job.

* `job_id` - The Job ID value is used to retrieve the [status](/vault-api/api-reference/20.1/jobs/retrieve-job-status) and results of the request.



---

**Previous:** [Import Package](/commercial/vault-api/api-reference/20.1/configuration-migration/import-package)  
**Next:** [Retrieve Package Deploy Results](/commercial/vault-api/api-reference/20.1/configuration-migration/retrieve-package-deploy-results)